> For the complete documentation index, see [llms.txt](https://docs.ionos.com/postgres-sdk-nodejs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/postgres-sdk-nodejs/api/metadataapi.md).

# MetadataApi

All URIs are relative to *<https://api.ionos.com/databases/postgresql>*

| Method                                    | HTTP request            | Description                 |
| ----------------------------------------- | ----------------------- | --------------------------- |
| [**infosVersionGet**](#infosversionget)   | **GET** /infos/version  | Get the current API version |
| [**infosVersionsGet**](#infosversionsget) | **GET** /infos/versions | Fetch all API versions      |

## infosVersionGet

> infosVersionGet

Get the current API version

Retrieves the current version of the responding API.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-postgres');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.MetadataApi(config);
// Get the current API version
api_instance
  .infosVersionGet()
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**APIVersion**](/postgres-sdk-nodejs/models/apiversion.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## infosVersionsGet

> \<Array> infosVersionsGet

Fetch all API versions

Retrieves all available versions of the responding API.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-postgres');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.MetadataApi(config);
// Fetch all API versions
api_instance
  .infosVersionsGet()
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**Array\<APIVersion>**](/postgres-sdk-nodejs/models/apiversion.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-nodejs/api/metadataapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
